//Setter.h

#import <objectbase/SwarmObject.h>
#import <space.h>
#import <simtools.h>
#import "dimarray.h"
#import "Voter.h"
#import "PolicyPoint.h"


@interface Setter: SwarmObject {
    dimarray newpos;
    PolicyPoint * winner;
    int worldXSize, worldYSize, numWinners, numElections;
    id < Grid2d >  world;
    double angle,newangle,distance, initialAngle, winPct, widthOfSearch, deltaTheta, diff;
    id aGenerator, aNormalValue;
       int since, seed, longestStep;
     }

-setInitialDirection: (double) value ;
-setWidthOfSearch: (double) value;
-setLongestStep: (int) value;
-setWorld:(id) w;
-setWinPct: (double) value;
-(void) startRNG ;
-createEnd;
-(double)getInstability;
-(double)getStability;
-sayHi;
-(id)evaluate: (id) list P: (id) proposal C: (id) current ;
-(id) giveLocation;
-(id) makeProp: (id) x to: (id) p ;


@end
